org.apache.sysds.runtime.compress.colgroup.insertionsort

## Class MaterializeSort

- java.lang.Object
- - org.apache.sysds.runtime.compress.colgroup.insertionsort.AInsertionSorter
  - - org.apache.sysds.runtime.compress.colgroup.insertionsort.MaterializeSort

    public class MaterializeSort
    extends AInsertionSorter

### Constructor Summary

Constructors
Constructor and Description
`MaterializeSort(int endLength, int knownMax, IntArrayList[] offsets, int negativeIndex)`

### Method Summary

### Methods inherited from class org.apache.sysds.runtime.compress.colgroup.insertionsort.AInsertionSorter

`getData, getIndexes`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MaterializeSort

    public MaterializeSort(int endLength,
                           int knownMax,
                           IntArrayList[] offsets,
                           int negativeIndex)